WMLONGRUN(1)

NAME
wmlongrun - A dockapp to monitor the LongRun(tm) status on Crusoe(tm) processors.

SYNOPSIS
wmlongrun [options]

DESCRIPTION
This manual page documents briefly the wmlongrun command.

WMLongRun is a program to monitor for LongRun(tm). It displays the current LongRun(tm) settings and status: the frequency, the LongRun(tm) flags (performance or economy), and the performance level (expressed as a percentile).

It is a dockapp (dockable application) that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. It has two user interfaces: an LCD look-alike user interface and an LED-interface. If you select the LCD-interfaces, the back-light may be turned on/off by clicking the mouse button over the application.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light.

-lc, --light-color <color>
    back-light color. (rgb:6E/C6/3B is default)

-i, --interval <number>
    number of secs between updates. (1 is default)

-cd, --cpuid-device <device>
    specify Linux CPUID device ('/dev/cpu/0/cpuid' is default)

-md, --msr-device <device>
    specify Linux MSR device ('/dev/cpu/0/msr' is default)

-l, --led
    run the application with LED interface

-h, --help
    show help text and exit.

-v, --version
    show program version and exit.

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix

AUTHOR
Seiichi SATO <ssato@sh.rim.or.jp>.